#include "debug.h"
#include "vmcomp.h"

VMComponent::VMComponent(void) {
    name = NULL;
    value = 0;
}
VMComponent::VMComponent(uint8_t * name, uint16_t value) {
    this->name = name;
    this->value = value;
}

uint8_t * VMComponent::getName(void){
    return name;
}

uint8_t VMComponent::getValue(void) {
    return value;
}

void VMComponent::setName(uint8_t * name) {
    this->name = name;
    return;
}

void VMComponent::setValue(uint16_t value) {
    this->value = value;
    return;
}

uint8_t VMComponent::toUint8(void) {
    return (uint8_t) value;
}

uint16_t VMComponent::toUint16(void) {
    return (uint16_t) value;
}

