#ifndef VMCOMP_H
#define VMCOMP_H
#include <stdint.h>
class VMComponent {
    private:
        uint8_t * name;
        uint16_t value;
    public:
        VMComponent();
        VMComponent(uint8_t * name, uint16_t value);
        uint8_t * getName(void);
        uint8_t getValue(void);
        void setName(uint8_t * name);
        void setValue(uint16_t value);
        uint8_t toUint8(void);
        uint16_t toUint16(void);
};

#endif